Group: Other
%define oldname greybird
%global theme_name     Greybird

Name:           gtk-theme-greybird
Version:        1.0.8
Release:        alt1_1
Summary:        A clean minimalistic theme for Xfce, GTK+ 2 and 3

License:        GPLv2+ or CC-BY-SA
URL:            http://shimmerproject.org/project/%{oldname}/

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# wget https://github.com/shimmerproject/Greybird/archive/v{VERSION}.tar.gz
Source0:        Greybird-%{version}.tar.gz
Patch0:         greybird-remove-unity-import.patch

BuildArch:      noarch      
Source44: import.info

%description
Greybird is a theme for GTK2/3 and xfwm4/metacity started out on the basis of
Bluebird, but aims at reworking the intense blue tone to a more neutral
grey-ish look that will be more pleasant to look at in everyday use.


%package -n gtk2-theme-greybird
Group: Other
Summary:        Greybird GTK+2 themes
Requires:       libgtk-engine-murrine >= 0.98.1.1 libgtk-engines-default

%description -n gtk2-theme-greybird
Themes for GTK+2 as part of the Greybird theme.


%package -n gtk3-theme-greybird
Group: Other
Summary:        Greybird GTK+3 themes

%description -n gtk3-theme-greybird
Themes for GTK+3 as part of the Greybird theme.


%package -n metacity-theme-greybird
Group: Other
Summary:        Greybird Metacity themes
Requires:       metacity

%description -n metacity-theme-greybird
Themes for Metacity as part of the Greybird theme.


%package -n xfwm4-theme-greybird
Group: Other
Summary:        Greybird Xfwm4 themes
Requires:       xfwm4

%description -n xfwm4-theme-greybird
Themes for Xfwm4 as part of the Greybird theme.

%package -n xfce4-notifyd-theme-greybird
Group: Other
Summary:        Greybird Xfce4 notifyd theme
Requires:       xfce4-notifyd

%description -n xfce4-notifyd-theme-greybird
Themes for Xfce4 notifyd as part of the Greybird theme.

%prep

%setup -q -n %{theme_name}-%{version}

%patch0 -p0

# Cleanup
# Remove Unity theme
rm -f gtk-3.0/apps/unity.css
rm -f gtk-3.0/apps/unity-greeter.css


%build
# Nothing to build


%install
mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{theme_name}
cp -pr gtk-2.0/ gtk-3.0/ metacity-1/ xfwm4/ xfwm4_compact/ xfce-notify-4.0/ %{buildroot}%{_datadir}/themes/%{theme_name}


%files -n gtk2-theme-greybird
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/%{theme_name}/gtk-2.0/


%files -n gtk3-theme-greybird
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/%{theme_name}/gtk-3.0/


%files -n metacity-theme-greybird
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/%{theme_name}/metacity-1/


%files -n xfwm4-theme-greybird
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/%{theme_name}/xfwm4/
%{_datadir}/themes/%{theme_name}/xfwm4_compact/


%files -n xfce4-notifyd-theme-greybird
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/%{theme_name}/xfce-notify-4.0/

%changelog
* Wed Jan 30 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.8-alt1_1
- fc import

